#ifndef _BONUS_H_
#define _BONUS_H_

#include <SDL/SDL.h>
#include <stdlib.h>
#include <math.h>

#include "sprite.h"
#include "support.h"

struct _bonus_data {
	double speed;
};
typedef struct _bonus_data BONUS_DATA;

void bonus_firepower_add(SPRITE *s);
void bonus_firepower_move(SPRITE *s);

void bonus_speed_add(SPRITE *s);
void bonus_speed_move(SPRITE *s);

void bonus_bomb_add(SPRITE *s);
void bonus_bomb_move(SPRITE *s);

void bonus_coin_add(SPRITE *s);
void bonus_coin_move(SPRITE *s);

void bonus_info_add(int x, int y, char *filename);
void bonus_info_move(SPRITE *c);
	

#endif
