#include "enemy.h"

extern SDL_Surface *screen;
extern SPRITE *player;

extern double fps_factor;

void enemy_drager_add()
{
	int i;
	SPRITE *s;
	DRAGER_DATA *data;

	for(i=0;i<2;i++) {
		s=sprite_add_file("data/iris.bmp",11,1);
		s->type=SP_EN_DRAGER;
		s->flags|=(SP_FLAG_VISIBLE|SP_FLAG_COLCHECK);
		s->mover=enemy_drager_move;
		s->anim_speed=0;
		s->aktframe=0;
		s->x=100+500*i;
		s->y=-30;
		if((data=malloc(sizeof(DRAGER_DATA)))==NULL) {
			CHECKPOINT;
			error(ERR_FATAL,"out of memory");
		}
		s->data=data;
		data->b.score=15;
		data->b.health=3;
		data->anim_dir=0;
		data->anim_speed=5;
		data->anim_count=0;
	}
}

void enemy_drager_move(SPRITE *s)
{
	DRAGER_DATA *d=(DRAGER_DATA *)s->data;

	d->anim_count++;
	if(d->anim_count==d->anim_speed) {
		d->anim_count=0;
		if(d->anim_dir==0) {
			s->aktframe++;
			if(s->aktframe==10)
				d->anim_dir=1;
		} else {
			s->aktframe--;
			if(s->aktframe==0)
				d->anim_dir=0;
		}
	}

	s->y+=1.5*fps_factor;
	if(s->y>480)
		s->type=-1;
}
