#ifndef _HISCORE_H_
#define _HISCORE_H_

#include <SDL/SDL.h>
#include <math.h>

#include "font.h"
#include "sprite.h"

enum _hclist_show_states {
	HCLISTS_INIT,
	HCLISTS_FADEIN,
	HCLISTS_WAIT,
	HCLISTS_FADEOUT,
	HCLISTS_QUIT
};

enum _hclist_edit_states {
	HCLISTE_INIT,
	HCLISTE_ENTRY,
	HCLISTE_QUIT
};

struct _hsc_list {
	char name[4];
	int score;
};
typedef struct _hsc_list HSC_LIST;

struct _hsc_data {
	double xg;
	double yg;
	int dir;
	int ph;
	int phspeed;
	double amp;
	double ampspeed;
	int arrived;
};
typedef struct _hsc_data HSC_DATA;

struct _letter {
	SDL_Surface *l;
	double s;
	char ascii;
	int xpos,ypos;
};
typedef struct _letter LETTER;

void hsc_init();
void hsc_show_init();
void hsc_show_work();
void hsc_show_move();

void hsc_entry_init();
void hsc_entry_work();
void hsc_entry_show();

#endif
