#include "score.h"

extern int score;
extern int lives;
extern HSC_LIST hsc_table[];
extern SDL_Surface *screen;

SDL_Surface *sc_surface=NULL;

void score_display()
{
	char scoretext[50];
	static int oldlives=0;
	static int oldscore=0;
	SDL_Rect d;

	if(sc_surface==NULL) {
		sprintf(scoretext,"SCORE:%06d SHIPS:%d HISCORE:%06d",score,lives,
			score>=hsc_table[0].score ? score : hsc_table[0].score );
		sc_surface=font_render(scoretext,FONT05);
		oldscore=score;
		oldlives=lives;
	}
	if(sc_surface!=NULL) {
		d.x=0;
		d.y=0;
		d.w=sc_surface->w;
		d.h=sc_surface->h;
		SDL_BlitSurface(sc_surface,NULL,screen,&d);
	}
	if((oldscore!=score)||(oldlives!=lives)) {
		SDL_FreeSurface(sc_surface);
		sc_surface=NULL;
	}
}

void score_cleanup()
{
	if(sc_surface!=NULL) {
		SDL_FreeSurface(sc_surface);
		sc_surface=NULL;
	}
}
