#include "enemy.h"

extern double fps_factor;

void enemy_crusher_add()
{
	int i;
	SPRITE *s;
	CRUSHER_DATA *data;

	for(i=0;i<10;i++) {
		s=sprite_add_file("data/crusher.bmp",15,1);
		s->type=SP_EN_CRUSHER;
		s->flags|=(SP_FLAG_VISIBLE|SP_FLAG_COLCHECK);
		s->mover=enemy_crusher_move;
		s->anim_speed=i-5;
		s->aktframe=i%s->frames;
		s->x=(i*50)+10;
		if(i<=4)
			s->y=-(i*10);
		else
			s->y=-((9-i)*10);
		if((data=malloc(sizeof(CRUSHER_DATA)))==NULL) {
			CHECKPOINT;
			error(ERR_FATAL,"out of memory");
		}
		s->data=data;
		data->b.score=10;
		data->b.health=1;
		data->c1=0;
		data->c2=0;
		
	}
}

void enemy_crusher_move(SPRITE *s)
{
	CRUSHER_DATA *d=(CRUSHER_DATA *)s->data;

	if(d->c2<2) {
		if(!d->c1) {
			s->y+=3*fps_factor;
			if(s->y>400) {
				d->c1=1;
				// d->c2++;
				d->c2+=fps_factor;
			}
		} else {
			s->y-=3*fps_factor;
			if(s->y<50)
				d->c1=0;
		}
	} else {
		s->y-=4;
		if(s->y<-(s->w))
			s->type=-1;
	}
}
