#include "enemy.h"

extern double fps_factor;
extern SPRITE *player;

void enemy_zatak_add()
{
	int i;
	SPRITE *s;
	ZATAK_DATA *data;

	for(i=0;i<12;i++) {
		s=sprite_add_file("data/rwingx.bmp",37,1);
		s->type=SP_EN_ZATAK;
		s->flags|=(SP_FLAG_VISIBLE|SP_FLAG_COLCHECK);
		s->mover=enemy_zatak_move;
		s->anim_speed=0;
		s->aktframe=0;
		if((data=malloc(sizeof(ZATAK_DATA)))==NULL) {
			CHECKPOINT;
			error(ERR_FATAL,"out of memory");
		}
		s->data=data;
		data->b.score=25;
		data->b.health=1;
		data->state=0;
		data->wait=0;
		data->speed=2.0*fps_factor*(((double)rand()/RAND_MAX)*2);
		if(i<6) {
			data->winkel=190;
			s->x=-s->w;
			s->y=50;
		} else {
			data->winkel=350;
			s->x=640;
			s->y=50;
		}
	}
}


void enemy_zatak_move(SPRITE *s)
{
	ZATAK_DATA *d=(ZATAK_DATA *)s->data;
	double dummy;

	d->wait+=fps_factor;
	switch(d->state) {
		case 0:
			if(d->wait>=50) {
				d->state=1;
			}
			break;
		case 1:
			d->speed-=(0.01*fps_factor);
			if(d->speed<=0) {
				d->speed=0;
				d->state=2;
			}
			break;
		case 2:
			if(d->winkel<270) {
				d->winkel+=3*fps_factor;
				if(d->winkel>=269) {
					d->winkel=270;
					d->state=3;
				}
			} else {
				d->winkel-=3*fps_factor;
				if(d->winkel<=271) {
					d->winkel=270;
					d->state=3;
				}
			}
			break;
		case 3:
			d->speed+=0.3*fps_factor;
			if(d->speed>=6*fps_factor) {
				d->speed=6*fps_factor;
				d->state=4;
			}
			break;
		case 4:
			if(s->y<0)
				s->type=-1;
			break;
	}
	dummy=((double)d->winkel/180*M_PI)-M_PI;
	s->x+=cos(dummy)*d->speed;
	s->y+=sin(dummy)*d->speed;
	s->aktframe=(((int)d->winkel+90)%360)/10;
}
