#include "thegame.h"

extern SDL_Surface *screen;
extern int keyboard[];
extern SPRITE *player;
extern GAMESTATE state;
extern KEYCONFIG keyconfig;
extern HSC_LIST hsc_table[];

int score;
int lives;
int world_y;
int world_dir=1;
int gframe;
int gameover_delay;

void thegame_init()
{
	score=0;
	lives=6;
	gframe=0;
	gameover_delay=100;
	clouds_init();
	player_init();

	/*
	if(mappy_loadmap("data/newmap.fmp",0,0,640,480)) {
		CHECKPOINT;
		error(ERR_FATAL,"cant load map");
	}
	mappy_mapinitanims();
	mappy_createparallax("data/parallax.bmp");
	world_y=mappy_getmapheight()-(screen->h)-(screen->h/2);
	*/
}


void thegame_work()
{
	if(state.mainstate!=ST_GAME_PLAY || state.newstate==1) return;

	if(lives>0) {
		if(keyboard[keyconfig.e]) {
			newstate(ST_MENU,MEN_PAUSE,1);
		}
		SDL_FillRect(screen,NULL,SDL_MapRGB(screen->format,0,0,0xff));

		if(gframe== 100) enemy_add_wave(SP_EN_CRUSHER);
		if(gframe== 300) enemy_add_wave(SP_EN_XEV);
		if(gframe== 500) enemy_add_wave(SP_EN_XEV);
		if(gframe== 700) enemy_add_wave(SP_EN_MINE);
		if(gframe== 800) enemy_add_wave(SP_EN_MINE);
		if(gframe== 900) enemy_add_wave(SP_EN_MINE);
		if(gframe==1100) enemy_add_wave(SP_EN_CIR);
		if(gframe==1300) enemy_add_wave(SP_EN_EYEFO);
		if(gframe==1500) enemy_add_wave(SP_EN_XEV);
		if(gframe==1700) enemy_add_wave(SP_EN_CIR);
		if(gframe==1900) enemy_add_wave(SP_EN_RWINGX);
		if(gframe==2100) enemy_add_wave(SP_EN_RWINGX);
		if(gframe==2300) enemy_add_wave(SP_EN_CUBE);
		if(gframe==2500) enemy_add_wave(SP_EN_MINE);
		if(gframe==2600) enemy_add_wave(SP_EN_MINE);
		if(gframe==2700) enemy_add_wave(SP_EN_MINE);
		if(gframe==2800) enemy_add_wave(SP_EN_MINE);
		if(gframe==2900) enemy_add_wave(SP_EN_MINE);
		if(gframe==3000) enemy_add_wave(SP_EN_MINE);
		if(gframe==3100) enemy_add_wave(SP_EN_MINE);
		if(gframe==3300) enemy_add_wave(SP_EN_EYEFO);
		if(gframe==3500) enemy_add_wave(SP_EN_ZATAK);
		if(gframe==3700) enemy_add_wave(SP_EN_ZATAK);
		if(gframe==3900) enemy_add_wave(SP_EN_XEV);
		if(gframe==4100) enemy_add_wave(SP_EN_XEV);
		if(gframe==4300) enemy_add_wave(SP_EN_CUBE);
		if(gframe==4500) enemy_add_wave(SP_EN_ZATAK);
		if(gframe==4700) enemy_add_wave(SP_EN_BOSS01);

		/*
		if(!world_dir) {
			world_y+=1;
			if(world_y>=mappy_getmapheight()-screen->h-screen->h/2) world_dir=1;
		} else {
			world_y-=1;
			if(world_y<=0) world_dir=0;
		}


		mappy_mapupdateanims();
		mappy_mapmoveto(0,world_y);
		mappy_drawparallax(screen);

		mappy_mapchangelayer(0);
		mappy_mapdrawbgt(screen);

		mappy_mapchangelayer(1);
		mappy_mapdrawbgt(screen);
		*/

		sprite_work(SP_SHOW_ALL);
		sprite_display(SP_SHOW_ALL);
		parsys_display();
		score_display();

		gframe++;

	} else {
		player->flags&=~SP_FLAG_VISIBLE;
		if(gameover_delay) {
			gameover_delay--;
			SDL_FillRect(screen,NULL,SDL_MapRGB(screen->format,0,0,0xff));

			/*
			mappy_mapupdateanims();
			mappy_mapmoveto(0,world_y);
			mappy_drawparallax(screen);

			mappy_mapchangelayer(0);
			mappy_mapdrawbgt(screen);

			mappy_mapchangelayer(1);
			mappy_mapdrawbgt(screen);
			*/
			sprite_work(SP_SHOW_ALL);
			sprite_display(SP_SHOW_ALL);
			parsys_display();
			score_display();
		} else {
			sprite_remove_all(SP_SHOW_ALL);
			parsys_remove_all();
			score_cleanup();
			newstate(ST_GAME_OVER,0,1);
		}
	}
}
